<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="mini-menu">
        <ul class="one">
            <li class="sub">
                <span>One</span>
                <ul class="two">
                    <li class="sub">
                        <span>Two</span>
                        <ul class="three">
                            <li class="sub">
                                <span>Three</span>
                                <ul class="four">
                                    <li class="sub">
                                        <span>Four</span>
                                        <ul class="five">
                                            <li class="sub">
                                                <span>Five</span>
                                                <ul class="six">
                                                    <li><a href="#">Six</a></li>
                                                </ul>
                                            </li>
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
            <li class="sub">
                    <span>One</span>
                    <ul class="two">
                        <li class="sub">
                            <span>Two</span>
                            <ul class="three">
                                <li class="sub">
                                    <span>Three</span>
                                    <ul class="four">
                                        <li class="sub">
                                            <span>Four</span>
                                            <ul class="five">
                                                <li class="sub">
                                                    <span>Five</span>
                                                    <ul class="six">
                                                        <li><a href="#">Six</a></li>
                                                    </ul>
                                                </li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
        </ul>
    </div>
    <script
        src="https://code.jquery.com/jquery-3.3.1.min.js"
        integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
        crossorigin="anonymous"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.sub > a, .sub > span').click(function(){
               if ($(this).next().is(":visible")){
                   $(this).next().slideUp();
                   $(this).next().find('ul').slideUp()
               } else {
               $(this).next().slideToggle();
               }
            });
        });
        </script>
</body>
</html>